跳转到主要内容
GET
/
workspaces
/
current
/
models
/
model-types
/
{model_type}
Error
A valid request URL is required to generate request examples
{
  "data": [
    {
      "provider": "openai",
      "label": {
        "en_US": "OpenAI",
        "zh_Hans": "OpenAI"
      },
      "icon_small": {
        "en_US": "https://example.com/openai-small.svg"
      },
      "icon_large": {
        "en_US": "https://example.com/openai-large.svg"
      },
      "status": "active",
      "models": [
        {
          "model": "text-embedding-3-small",
          "label": {
            "en_US": "text-embedding-3-small",
            "zh_Hans": "text-embedding-3-small"
          },
          "model_type": "text-embedding",
          "features": null,
          "fetch_from": "predefined-model",
          "model_properties": {
            "context_size": 8191
          },
          "status": "active"
        }
      ]
    }
  ]
}

授权

Authorization
string
header
必填

API Key 认证。对于所有 API 请求,请在 Authorization HTTP 头中包含您的 API Key,并加上 Bearer 前缀。示例:Authorization: Bearer {API_KEY}强烈建议将 API Key 存储在服务端,不要在客户端共享或存储,以避免 API Key 泄漏导致严重后果。

路径参数

model_type
enum<string>
必填

要获取的模型类型。对于知识库配置,使用 text-embedding 获取嵌入模型,使用 rerank 获取重排序模型。

可用选项:
text-embedding,
rerank,
llm,
tts,
speech2text,
moderation

响应

200 - application/json

指定类型的可用模型。

data
object[]

模型提供商及其可用模型的列表。